@import url('https://fonts.googleapis.com/css2?family=Dancing+Script:wght@600;700&display=swap');

* {
  font-family: "Poppins", Arial, Helvetica, sans-serif;
}

/*navabar*/
.fixed-top {
  position: fixed;
}

/*Réglages titre,liens*/
h1 {
  font-family: "Poppins", Arial, Helvetica, sans-serif;
  color: #000000;
  font-weight: 600;
}

a {
  text-decoration: none;
  color: #000000 !important;
}

/*Section About*/

#apropos {
  display: flex;
  justify-items: end;
}

#apropos p {
  font-weight: 500;
  color: #000000;

}

.nomgrobon {
  color: #146C91;
}

.text-1 {
  font-style: italic;
}

.bggrey {
  background-color: #ffffffc3;
  border-radius: 5%;
 
}

.bgabout {
  background-image: url('../img/me.jpg');
  background-repeat: no-repeat;
  background-size: cover;
  width: 100%;
}

/*section compétences paramètre de l'animation de surlignement du titre*/
.titretest{
  display: inline;
}

.ttc {
  display: inline;
  font-weight: 400;
}

.ttc::after {
  content: "";
  display: block;
  width: 0%;
  height: 3px;
  margin: 0 auto;
  background: #000000;
  transition: width 0.2s ease-in-out;
}

.ttc:hover::after {
  width: 100%;
}

.img_comp:hover{
    transform: scale(1.3);
    transition: all 0.5s ease-out;
}


/*section projet avec paramètre des cards et surlignement du titre*/

.ttp {
  display: inline;
  font-weight: 400;
}

.ttp::after {
  content: "";
  display: block;
  width: 0%;
  height: 3px;
  margin: 0 auto;
  background: #000000;
  transition: width 0.2s ease-in-out;
}

.ttp:hover::after {
  width: 100%;
}

.projets .card {
  border-radius: 4px;
  background: #fff;
  box-shadow: 0 6px 10px #00000014, 0 0 6px #0000000d;
  transition: .3s transform cubic-bezier(.155, 1.105, .295, 1.12), .3s box-shadow, .3s -webkit-transform cubic-bezier(.155, 1.105, .295, 1.12);
  cursor: pointer;
}

.projets .card:hover {
  transform: scale(1.05);
  box-shadow: 0 10px 20px rgba(0,0,0,.12), 0 4px 8px rgba(0,0,0,.06);
}

.projets .card .card-img-top{
  width: 100%;
  height: auto;
  object-fit: contain;
}

/*Section outils*/

#outils i {
  color: #686868;
}

.tto {
  display: inline;
  font-weight: 400;
}


.tto::after {
  content: "";
  display: block;
  width: 0%;
  height: 3px;
  margin: 0 auto;
  background: #000000;
  transition: width 0.2s ease-in-out;
}

.tto:hover::after {
  width: 100%;

}

.color-icon{
  filter: grayscale(100%);
}

.square-100 a, .square-100 img{
  display: flex;
  object-fit: contain;
  max-width: 100%;
  max-height: 100%;
}

.square-100{
  display: flex;
  justify-content: center;
  align-items: center;
  height: 100px; 
  width: 100px;
}

.color-icon:hover{
filter:url(../img/);
}

.bgf {
  background-color: #F8F9FA;
}

/*Footer*/

.boxfooter {
  display: flex;
  justify-content: center;
}

/* réglage des tailles d'icones*/

@media screen and (min-width: 800px) {
  .fa-brands {
    font-size: 4em;
  }
  .bgabout{
    background-position: right;
}
}

@media screen and (min-width: 300px) and (max-width: 799px) {
  .fa-brands {
    font-size: 2em;
} 

.bgabout{
  background-position: right;
}
}

@media screen and (max-width: 299px) {
  .fa-brands {
    font-size: 1.2em;
}
.bgabout{
  background-position: right;
}
}



